﻿@model MvcWebsiteOcc.Areas.administrators.Models.BookCar
@using MvcWebsiteOcc.Models;
@{
    ViewBag.Title = "Chỉnh sửa lệnh đặt xe";
    ViewBag.Description = "";
    Layout = "~/Areas/administrators/Views/Shared/_adminOcc.cshtml";
}

@{
    IEnumerable<MvcWebsiteOcc.Models.Language> langs = ViewBag.LangList;
    IEnumerable<MvcWebsiteOcc.Areas.administrators.Models.BooksService> bookServices = ViewBag.Services;
    IEnumerable<MvcWebsiteOcc.Areas.administrators.Models.CarModel> cars = ViewBag.Cars;
    IEnumerable<MvcWebsiteOcc.Areas.administrators.Models.Staff> drivers = ViewBag.Drivers;
    IEnumerable<MvcWebsiteOcc.Areas.administrators.Models.StatusOrder> status = ViewBag.Status;
    string statusLink = "";
    if (Model.StatusOrders != null)
    {
        statusLink = "status=" + OccConvert.LayUrl(Model.StatusOrders.StaName, Model.StatusOrders.StaID);
    }
  
}

@using (Html.BeginForm())
{    
    @Html.AntiForgeryToken()
    @Html.ValidationSummary(true)
    <input type="hidden" id="editID" name="editID" value="@Model.BookID" />
    @Html.HiddenFor(m => m.BookID)
    <div class="row">
        <div class="col-lg-12 col-sm-12 col-xs-12">
            <div class="widget">
                <div class="widget-header header-large" style="display: block;">
                    <span class="widget-caption">@ViewBag.Title</span>
                    <div class="widget-buttons">
                        <button type="button" class="btn btn-darkorange " onclick="window.location.href='/administrators/bookcars_manager/bookorders_manager?@statusLink'">
                            <i class="fa fa-arrow-left"></i>
                            Hủy
                        </button>
                        <button class="btn btn-success " name="save" type="submit" value="save">Lưu <i class="fa fa-check right"></i></button>
                        @* @using (Ajax.BeginForm("bookorder_send_mail", "bookcars_manager", "administrators", new AjaxOptions { OnBegin = "", OnSuccess = "" }, new { id = "MailForm"}))
                        {
                             <input type="hidden" id="sendID" name="sendID" value="@Model.BookID" />
                         
                      
                        }*@
                        <button type="button" class="btn btn-success " data-toggle="modal" data-target="#modal-danger" style="margin-left: 5px">
                            Gửi Mail <i class="fa fa-envelope-o right"></i>
                        </button>
                        @*   <button class="btn btn-success " name="save" type="submit" value="sendMail">Gửi Mail<i class="fa fa-envelope-o right"></i></button>*@
                        @*<button class="btn btn-success " name="save" type="submit" value="save & next">Lưu & Thêm mới  <i class=" glyphicon glyphicon-retweet right"></i></button>*@
                        <a href="#" data-toggle="maximize">
                            <i class="fa fa-expand"></i>
                        </a>
                    </div>
                </div>
                <div class="widget-body">
                    <div class="widget-main">
                        <div class="row">
                            <div class="col-lg-12 col-sm-12 col-xs-12">
                                <div class="well invoice-container">
                                    <div class="row">
                                        <div class="col-xs-12">
                                            <h3 class="">
                                                <i class="fa fa-book"></i>
                                                Lệnh đặt xe
                                            </h3>
                                        </div>
                                        <div class="col-xs-12 text-right">
                                            <div class="row">
                                                <div class="col-lg-3 col-xs-12 pull-right">
                                                    <a>
                                                        <img src="/Static/admin/assets/img/logoTTN_color.png" style="width: 100%; height: auto;" />
                                                        @* <img src="/assets/img/logo-inverted.png" alt="" style="width: 200px; height: 45px; margin-right: -17px" />*@
                                                    </a>
                                                </div>
                                            </div>

                                            <div>
                                                <span>Mã lệnh:</span>
                                                <span>@Model.OrderID</span>
                                                <span>| </span>
                                                <span>Ngày đặt:</span>
                                                <span>@Model.CreateDate.ToString("dd/MM/yyyy")</span>
                                                <span>| </span>
                                                <a href="#">
                                                    <i class="glyphicon glyphicon-print carbon"></i>
                                                </a>
                                            </div>
                                            <div class="horizontal-space"></div>


                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-12 col-xs-12">
                                            <div class="panel panel-default">
                                                <div class="panel-heading">
                                                    <h6>Xe & Tài xế</h6>
                                                </div>
                                                <div class="panel-body" style="width: 100%">
                                                    <div class="row">
                                                        <div class="col-sm-6 col-xs-12">
                                                            <div class="form-group has-icon has-label">
                                                                <div class="form-title">
                                                                    Thông tin xe
                                                                </div>
                                                                <div class="row">
                                                                    <div class="col-md-12">
                                                                        <table class="table table-striped table-bordered table-hover" id="bang_xe">
                                                                            <thead>
                                                                                <tr>
                                                                                    <th style="width: 15px;"></th>
                                                                                    <th style="width: 100px">Ảnh</th>
                                                                                    <th>Tên Xe</th>
                                                                                    <th style="width: 105px; text-align: center">Loại xe</th>
                                                                                </tr>
                                                                            </thead>
                                                                            <tbody>
                                                                                @{if (cars != null)
                                                                                  {
                                                                                      foreach (var car in cars)
                                                                                      {
                                                                                    <tr>
                                                                                        <td>

                                                                                            <div class="radio" style="display: block">
                                                                                                <label>
                                                                                                    <input name="carID" type="radio" value="@car.ModID" class="colored-danger checkboxes" style="position: absolute" />
                                                                                                    <span class="text"></span>
                                                                                                </label>

                                                                                            </div>
                                                                                        </td>
                                                                                        <td>
                                                                                            <img src="/Uploaded/Images/dongxe/@car.Folder/@car.ModImage" style="width: 100%; height: auto;">
                                                                                        </td>
                                                                                        <td>
                                                                                            <b>@car.ModName</b>
                                                                                        </td>
                                                                                        <td style="text-align: center">@car.CarType.TypeName
                                                                                        </td>
                                                                                    </tr>
                                                                                      }
                                                                                  }}
                                                                            </tbody>
                                                                        </table>
                                                                    </div>
                                                                    <div class="col-md-12">
                                                                        <div id="car">
                                                                            @{Html.RenderAction("_cars", "bookcars_manager", new { modID = Model.ModID });}
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>

                                                        <div class="col-sm-6 col-xs-12">
                                                            <div class="form-group has-icon has-label">
                                                                <div class="form-title">
                                                                    Thông tin tài xế
                                                                </div>
                                                                <div class="row">
                                                                    <div class="col-md-12">
                                                                        <table class="table table-striped table-bordered table-hover" id="bang_tx">
                                                                            <thead>
                                                                                <tr>
                                                                                    <th style="width: 15px;"></th>
                                                                                    <th style="width: 100px">Ảnh</th>
                                                                                    <th>Tên Tài xế</th>
                                                                                    <th style="width: 105px; text-align: center">Biển số xe</th>
                                                                                    <th style="width: 25px; text-align: center">Tuổi</th>
                                                                                </tr>
                                                                            </thead>
                                                                            <tbody>
                                                                                @{if (drivers != null)
                                                                                  {
                                                                                      foreach (var driver in drivers)
                                                                                      {
                                                                                    <tr>
                                                                                        <td>
                                                                                            <div class="radio" style="display: block">
                                                                                                <label>
                                                                                                    <input name="driverID" value="@driver.StaffID" type="radio" class="colored-danger checkboxes"   style="position: absolute" />
                                                                                                    <span class="text"></span>
                                                                                                </label>
                                                                                            </div>
                                                                                        </td>
                                                                                        <td>
                                                                                            <img src="/Uploaded/Images/nhanvien/@driver.StaffImage" style="width: 100%; height: auto;">
                                                                                        </td>
                                                                                        <td>
                                                                                            <b>@driver.StaffName</b>
                                                                                        </td>
                                                                                        <td>
                                                                                            @driver.CarNumber
                                                                                        </td>
                                                                                        <td style="text-align: center">
                                                                                            @{if (driver.StaffBirthDay != null)
                                                                                              {
                                                                                                @( DateTime.Now.Year - DateTime.Parse(driver.StaffBirthDay.ToString()).Year)
                                                                                              }
                                                                                              else
                                                                                              {
                                                                                                @("0")
                                                                                              }}

                                                                                        </td>
                                                                                    </tr>  
                                                                                      }
                                                                                  }}


                                                                            </tbody>
                                                                        </table>
                                                                    </div>
                                                                    <div class="col-md-12">

                                                                        @{if (Model.Staff != null)
                                                                          {  <div id="driver">
                                                                              @{ Html.RenderAction("_driver", "bookcars_manager", new { staffID = Model.StaffID });}
                                                                          </div>
                                                                          }
                                                                          else
                                                                          {
                                                                            <div id="driver"></div>  
                                                                          }
                                                                              
                                                                        }


                                                                    </div>
                                                                </div>
                                                            </div>

                                                        </div>
                                                    </div>

                                                </div>
                                            </div>

                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-lg-12 col-sm-12 col-xs-12">
                                            <div class="panel panel-default">
                                                <div class="panel-heading">
                                                    <h6>Dịch vụ và Lộ trình</h6>
                                                </div>
                                                <div class="panel-body">
                                                    <div class="row">

                                                        @*    <div class="col-sm-3 col-xs-3">
                                                                <div class="form-group has-icon has-label">
                                                                    <div class="form-title">
                                                                        Điểm đón
                                                                    </div>
                                                                    <section id="place-on-map-1">

                                                                        <input type="text" class="form-control" id="address_map_di" name="address_map_di" placeholder="Bắt đầu hành trình !">
                                                                        <!-- /.form-group -->
                                                                        <div class="form-title">
                                                                            Bản đồ
                                                                        </div>
                                                                        <div class="col-md-12">
                                                                            <div class="geo-location-wrapper">
                                                                                <span class="btn geo_location_di"><i class="fa fa-map-marker"></i><span class="text">Xác định vị trí</span></span>
                                                                            </div>
                                                                        </div>
                                                                        <div id="submit_map_di" class="map_submit">
                                                                        </div>
                                                                        <div class="row">
                                                                            <div class="col-md-6">
                                                                                <input value="@Model.StartLat" data-val="true" id="lat_di" name="lat_di" type="hidden">
                                                                                @Html.HiddenFor(p => p.StartLat)
                                                                                <!-- /.form-group -->
                                                                            </div>
                                                                            <div class="col-md-6">
                                                                                <input value="@Model.StartLong" data-val="true" id="long_di" name="long_di" type="hidden">
                                                                                @Html.HiddenFor(p => p.StartLong)
                                                                                <!-- /.form-group -->
                                                                            </div>
                                                                        </div>
                                                                    </section>
                                                                    <!-- /#place-on-map -->
                                                                </div>
                                                            </div>
                                                            <div class="col-sm-3 col-xs-3">

                                                                <div class="form-group has-icon has-label">
                                                                    <div class="form-title">
                                                                        Điểm đến
                                                                    </div>
                                                                    <section id="place-on-map-2">
                                                                        <input type="text" class="form-control" id="address_map_den" name="address_map_den" placeholder="Địa điểm đến của hành trình !">
                                                                        <!-- /.form-group -->
                                                                        <div class="form-title">
                                                                            Bản đồ
                                                                        </div>
                                                                        <div id="submit_map_den" class="map_submit"></div>
                                                                        <div class="row">
                                                                            <div class="col-md-6">
                                                                                <input value="@Model.EndLat" data-val="true" id="lat_den" name="lat_den" type="hidden">
                                                                                @Html.HiddenFor(p => p.EndLat)
                                                                                <!-- /.form-group -->
                                                                            </div>
                                                                            <div class="col-md-6">
                                                                                <input value="@Model.EndLong" data-val="true" id="long_den" name="long_den" type="hidden">
                                                                                @Html.HiddenFor(p => p.EndLong)
                                                                                <!-- /.form-group -->
                                                                            </div>
                                                                        </div>
                                                                    </section>
                                                                    <!-- /#place-on-map -->
                                                                </div>
                                                            </div>*@
                                                        <div class="col-sm-6 col-xs-12">
                                                            <div class="row">
                                                                <div class="col-sm-12 col-xs-12">
                                                                    <div class="form-group has-icon has-label">
                                                                        <div class="form-title">
                                                                            Thông tin khách hàng
                                                                        </div>
                                                                        <div class="row">
                                                                            <div class="col-lg-6 form-group ">
                                                                                <div class="row">
                                                                                    <label class="control-label col-lg-3">Họ tên: </label>
                                                                                    <div class="col-lg-9">
                                                                                        @Html.TextBoxFor(p => p.CusName, new { @class = "form-control" })
                                                                                    </div>
                                                                                </div>


                                                                            </div>
                                                                            <div class="col-lg-6 form-group">
                                                                                <div class="row">
                                                                                    <label class="control-label col-lg-3">Địa chỉ: </label>
                                                                                    <div class="col-lg-9">
                                                                                        @Html.TextBoxFor(p => p.CusAddress, new { @class = "form-control" })
                                                                                    </div>
                                                                                </div>
                                                                            </div>
                                                                            <div class="col-lg-6 form-group">
                                                                                <div class="row">
                                                                                    <label class="control-label col-lg-3">Di động: </label>
                                                                                    <div class="col-lg-9">
                                                                                        @Html.TextBoxFor(p => p.CusMobile, new { @class = "form-control" })
                                                                                    </div>
                                                                                </div>
                                                                            </div>
                                                                            <div class="col-lg-6 form-group">
                                                                                <div class="row">
                                                                                    <label class="control-label col-lg-3">E-mail: </label>
                                                                                    <div class="col-lg-9">
                                                                                        @Html.TextBoxFor(p => p.CusEmail, new { @class = "form-control" })
                                                                                    </div>
                                                                                </div>
                                                                            </div>

                                                                        </div>
                                                                    </div>
                                                                </div>
                                                                  <div class="col-sm-12 col-xs-12">
                                                                    <div class="form-group has-icon has-label">
                                                                        <div class="form-title">
                                                                            Dự tính số lượng người
                                                                        </div>
                                                                        <div class="row">
                                                                            <div class="col-lg-6 form-group ">
                                                                                <div class="row">
                                                                                    <label class="control-label col-lg-6">Người lớn: </label>
                                                                                    <div class="col-lg-6">
                                                                                        @Html.TextBoxFor(p => p.Man, new { @class = "form-control" })
                                                                                    </div>
                                                                                </div>


                                                                            </div>
                                                                            <div class="col-lg-6 form-group">
                                                                                <div class="row">
                                                                                    <label class="control-label col-lg-6">Trẻ em: </label>
                                                                                    <div class="col-lg-6">
                                                                                        @Html.TextBoxFor(p => p.Child, new { @class = "form-control" })
                                                                                    </div>
                                                                                </div>
                                                                            </div>
                                                                            <div class="col-lg-6 form-group">
                                                                                <div class="row">
                                                                                    <label class="control-label col-lg-6">Người già: </label>
                                                                                    <div class="col-lg-6">
                                                                                        @Html.TextBoxFor(p => p.Senior, new { @class = "form-control" })
                                                                                    </div>
                                                                                </div>
                                                                            </div>
                                                                            <div class="col-lg-6 form-group">
                                                                                <div class="row">
                                                                                    <label class="control-label col-lg-6">Người khuyết tật: </label>
                                                                                    <div class="col-lg-6">
                                                                                        @Html.TextBoxFor(p => p.Wheelchair , new { @class = "form-control" })
                                                                                    </div>
                                                                                </div>
                                                                            </div>

                                                                        </div>
                                                                    </div>
                                                                </div>

                                                                <div class="col-sm-12 col-xs-12">
                                                                    <div class="form-group has-icon has-label">
                                                                        <div class="form-title">
                                                                            Phương thức thanh toán
                                                                        </div>
                                                                        <div class="control-group">
                                                                            @{if (Model.CheckOutType == "1")
                                                                              {
                                                                                <div class="radio">
                                                                                    <label>
                                                                                        <input checked="checked" name="CheckOutType" type="radio" class="colored-danger" value="1" />
                                                                                        <span class="text">Thanh toán trực tiếp</span>
                                                                                    </label>

                                                                                </div>
                                                                                <div class="radio">
                                                                                    <label>
                                                                                        <input name="CheckOutType" type="radio" class="colored-danger" value="2" />
                                                                                        <span class="text">Thanh toán chuyển khoản</span>
                                                                                    </label>
                                                                                </div> 
                                                                              }
                                                                              else if (Model.CheckOutType == "2")
                                                                              {
                                                                                <div class="radio">
                                                                                    <label>
                                                                                        <input name="CheckOutType" type="radio" class="colored-danger" value="1" />
                                                                                        <span class="text">Thanh toán trực tiếp</span>
                                                                                    </label>

                                                                                </div>
                                                                                <div class="radio">
                                                                                    <label>
                                                                                        <input name="CheckOutType" type="radio" class="colored-danger" value="2" checked="checked" />
                                                                                        <span class="text">Thanh toán chuyển khoản</span>
                                                                                    </label>
                                                                                </div> 
                                                                              }
                                                                              else
                                                                              {
                                                                                <div class="radio">
                                                                                    <label>
                                                                                        <input checked="checked" name="CheckOutType" type="radio" class="colored-danger" value="1" />
                                                                                        <span class="text">Thanh toán trực tiếp</span>
                                                                                    </label>

                                                                                </div>     
                                                                                <div class="radio">
                                                                                    <label>
                                                                                        <input name="CheckOutType" type="radio" class="colored-danger" value="2" />
                                                                                        <span class="text">Thanh toán chuyển khoản</span>
                                                                                    </label>
                                                                                </div>
                                                                              }
                                                                              
                                                                            }

                                                                        </div>
                                                                        <!-- /#place-on-map -->
                                                                    </div>
                                                                </div>

                                                                @*  <div class="col-lg-12 col-sm-12 col-xs-12">
                                                                    <div class="form-group has-icon has-label">
                                                                        <div class="form-title">
                                                                            Dịch vụ
                                                                        </div>
                                                                        <div class="control-group">
                                                                            <div class="row">
                                                                                @{if (bookServices != null)
                                                                                  {
                                                                                      var cogias = bookServices.Where(p => p.CServPrice > 0).ToList();
                                                                                      var khonggias = bookServices.Where(p => p.CServPrice == 0).ToList();

                                                                                      string col = "12";

                                                                                      if (cogias.Count > 0 && khonggias.Count > 0)
                                                                                      {
                                                                                          col = "6";
                                                                                      }


                                                                                      if (cogias != null)
                                                                                      {
                                                                                    <div class="col-lg-@col col-sm-@col col-xs-12">
                                                                                        @foreach (var cogia in cogias)
                                                                                        {
                                                                                            if (Model.BooksServices.FirstOrDefault(p => p.CServID == cogia.CServID) != null)
                                                                                            {
                                                                                            <div class="checkbox">
                                                                                                <label style="width: 100%">
                                                                                                    <input checked="checked" id="@cogia.CServID" name="book_services" type="checkbox" value="@cogia.CServID">

                                                                                                    <span class="text" style="width: 100%">@cogia.CServName
                                                                                                        <span class="pull-right " style="position: relative; z-index: 11; display: inline-block;">@cogia.CServPrice.ToString("#,###") /@cogia.UnitPrice</span>
                                                                                                    </span>
                                                                                                </label>
                                                                                            </div>
                                                                                            }
                                                                                            else
                                                                                            {
                                                                                            <div class="checkbox">
                                                                                                <label style="width: 100%">
                                                                                                    <input  id="@cogia.CServID" name="book_services" type="checkbox" value="@cogia.CServID">

                                                                                                    <span class="text" style="width: 100%">@cogia.CServName
                                                                                                        <span class="pull-right " style="position: relative; z-index: 11; display: inline-block;">@cogia.CServPrice.ToString("#,###") /@cogia.UnitPrice</span>
                                                                                                    </span>
                                                                                                </label>
                                                                                            </div>
                                                                                            }

                                                                                        }
                                                                                    </div>
                                                                                      }

                                                                                      if (khonggias != null)
                                                                                      {
                                                                                    <div class="col-lg-@col col-sm-@col col-xs-12">
                                                                                        @foreach (var kogia in khonggias)
                                                                                        {
                                                                                            if (Model.BooksServices.FirstOrDefault(p => p.CServID == kogia.CServID) != null)
                                                                                            {
                                                                                            <div class="checkbox">
                                                                                                <label style="width: 100%">
                                                                                                    <input checked="checked" id="@kogia.CServID" name="book_services" type="checkbox" value="@kogia.CServID">
                                                                                                    <span class="text" style="width: 100%">@kogia.CServName
                                                                                                        <span class="pull-right " style="position: relative; z-index: 11; display: inline-block;">Miễn phí</span>
                                                                                                    </span>
                                                                                                </label>
                                                                                            </div>
                                                                                            }
                                                                                            else
                                                                                            {
                                                                                            <div class="checkbox">
                                                                                                <label style="width: 100%">
                                                                                                    <input  id="@kogia.CServID" name="book_services" type="checkbox" value="@kogia.CServID">

                                                                                                    <span class="text" style="width: 100%">@kogia.CServName
                                                                                                        <span class="pull-right " style="position: relative; z-index: 11; display: inline-block;">Miễn phí</span>
                                                                                                    </span>
                                                                                                </label>
                                                                                            </div>
                                                                                            }

                                                                                        }

                                                                                    </div>
                                                                                      }
                                                                                  }}

                                                                            </div>
                                                                        </div>
                                                                        <!-- /#place-on-map -->
                                                                    </div>

                                                                </div>*@
                                                            </div>

                                                        </div>

                                                        <div class="col-sm-6 col-xs-12">
                                                            <div class="form-group">
                                                                <div class="form-title">
                                                                    Thời gian và lộ trình
                                                                </div>
                                                                <div class="row">

                                                                    <div class="col-sm-6 col-xs-12">
                                                                        <div class="form-group">
                                                                            <div class="controls">
                                                                                <label for="formSearchUpDate2">Điểm xuất phát</label>
                                                                                <div class="input-group">
                                                                                    @Html.TextBoxFor(m => m.StartAddress, new { @class = "form-control" })
                                                                                    <span class="input-group-addon">
                                                                                        <i class="fa fa-location-arrow"></i>
                                                                                    </span>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-sm-6 col-xs-12">
                                                                        <div class="form-group">
                                                                            <div class="controls">
                                                                                <label for="formSearchUpDate2">Điểm đến</label>
                                                                                <div class="input-group">

                                                                                    @Html.TextBoxFor(m => m.EndAddress, new { @class = "form-control" })
                                                                                    <span class="input-group-addon">
                                                                                        <i class="fa fa-map-marker"></i>
                                                                                    </span>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-sm-4">
                                                                           <div class="form-group">
                                                                        <div class="controls">
                                                                            <label for="formSearchUpDate2">Ngày đi - Ngày về</label>
                                                                            <div class="input-group">

                                                                                <input readonly="readonly" type="text" class="form-control date_accept pull-right " name="date_start_end" value="@Model.DateStart.ToString("dd/MM/yyyy") - @Model.DateEnd.ToString("dd/MM/yyyy")" data-mask="99/99/9999 - 99/99/9999"/>
                                                                                <span class="input-group-addon">
                                                                                    <i class="fa fa-calendar"></i>
                                                                                </span>

                                                                            </div>
                                                                        </div>
                                                                               </div>
                                                                    </div>
                                                                    <div class="col-sm-4">
                                                                         <div class="form-group">
                                                                        <div class="controls">
                                                                            <label for="formSearchUpDate2">Giờ đi</label>
                                                                            <div class="input-group">

                                                                                @Html.TextBoxFor(m => m.TimeStart, new { @class = "form-control time_picker", @readonly = "readonly" })
                                                                                <span class="input-group-addon">
                                                                                    <i class="fa fa-clock-o"></i>
                                                                                </span>
                                                                            </div>
                                                                        </div>
                                                                             </div>
                                                                    </div>
                                                                    <div class="col-sm-4">
                                                                             <div class="form-group">
                                                                        <div class="controls">
                                                                            <label for="formSearchUpDate2">Giờ về</label>
                                                                            <div class="input-group">
                                                                                @Html.TextBoxFor(m => m.TimeEnd, new { @class = "form-control time_picker", @readonly = "readonly" })
                                                                                <span class="input-group-addon">
                                                                                    <i class="fa fa-clock-o"></i>
                                                                                </span>
                                                                            </div>
                                                                        </div>
                                                                                 </div>
                                                                    </div>
                                                                    <div class="col-lg-12 ">
                                                                        <div class="form-group">
                                                                            <div class="controls">
                                                                                <label for="formSearchUpDate2">Chi tiết lộ trình: </label>
                                                                                

                                                                                    @Html.TextAreaFor(p => p.CusMessage, new { @class = "form-control summernote textAuto", @rows = "10" })
                                                                                    
                                                                               
                                                                            </div>
                                                                        </div>

                                                                    </div>
                                                                </div>
                                                            </div>

                                                            <div class="form-group has-icon has-label">
                                                                <div id="map_road" class="map_submit"></div>
                                                            </div>
                                                        </div>

                                                    </div>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="col-lg-12 col-sm-12 col-xs-12">
                                            <div class="row">
                                                <div class="col-lg-6 col-sm-6 col-xs-12">
                                                    <div class="panel panel-default">
                                                        <div class="panel-heading">
                                                            <h6>Trạng thái</h6>
                                                        </div>
                                                        <div class="panel-body">
                                                            <select class="select" name="StaID" style="width: 100%">
                                                                <option value="">Lệnh mới</option>
                                                                @{if (status != null)
                                                                  {
                                                                      foreach (var sta in status)
                                                                      {
                                                                          if (sta.StaID == Model.StaID)
                                                                          {
                                                                    <option value="@sta.StaID" selected="selected">@sta.StaName</option> 
                                                                          }
                                                                          else
                                                                          {
                                                                    <option value="@sta.StaID" >@sta.StaName</option>
                                                                          }
                                                                      }
                                                                  }}

                                                            </select>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="col-lg-6 col-sm-6 col-xs-12">
                                                    <div class="panel panel-default">
                                                        <div class="panel-heading">
                                                            <h6>Ước tính chi phí</h6>
                                                        </div>
                                                        <div class="panel-body">
                                                            <div class="form-group">
                                                                @{if (Model.hasVAT == true)
                                                                  {
                                                                    <div class="checkbox">
                                                                        <label style="width: 100%">
                                                                            <input id="hasVAT" name="hasVAT" type="checkbox" value="true" class="colored-danger" checked="checked">

                                                                            <span class="text" style="width: 100%">Có VAT
                                                                            @*<span class="pull-right " style="position: relative; z-index: 11; display: inline-block;">Miễn phí</span>*@
                                                                            </span>
                                                                        </label>
                                                                    </div>
                                                                  }
                                                                  else
                                                                  {
                                                                    <div class="checkbox">
                                                                        <label style="width: 100%">
                                                                            <input id="hasVAT" name="hasVAT" type="checkbox" value="true" class="colored-danger">

                                                                            <span class="text" style="width: 100%">Có VAT
                                                                            @*<span class="pull-right " style="position: relative; z-index: 11; display: inline-block;">Miễn phí</span>*@
                                                                            </span>
                                                                        </label>
                                                                    </div>
                                                                  }}

                                                                <div class="input-group">
                                                                    <input class="form-control moneymask valid" id="Total" name="Total" type="text" placeholder="0" value="@Model.Total">
                                                                    <span class="input-group-addon">VND</span>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <hr class="wide" />
                                    <div class="invoice-notes">
                                        <h5>Ghi chú:</h5>
                                        <p>Điều chỉnh trạng thái để có thể kiểm soát lệnh xe hiệu quả hơn</p>
                                        <p>Cần phải ước tính giá trước khi gửi cho khách hàng, Khi cập nhật giá cần phải lưu trước khi gửi</p>
                                    </div>

                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="widget-header header-large" style="display: block;">
                    @*<span class="widget-caption">@ViewBag.Title</span>*@
                    <div class="widget-buttons">
                        <button type="button" class="btn btn-darkorange " onclick="window.location.href='/administrators/bookcars_manager/bookorders_manager'">
                            <i class="fa fa-arrow-left"></i>
                            Hủy
                        </button>
                        <button class="btn btn-success " name="save" type="submit" value="save">Lưu <i class="fa fa-check right"></i></button>
                        @*<button class="btn btn-success " name="save" type="submit" value="save & next">Lưu & Thêm mới  <i class=" glyphicon glyphicon-retweet right"></i></button>*@
                        @*<a href="#" data-toggle="maximize">
                            <i class="fa fa-expand"></i>
                        </a>*@
                    </div>
                </div>
            </div>
        </div>
    </div>
    
    

    <div class="bootbox modal fade modal-darkorange " tabindex="-1" role="dialog" aria-hidden="false" id="modal-danger">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title">Gửi E-mail</h4>
                </div>
                <div class="modal-body">
                    <div class="bootbox-body">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <input type="text" class="form-control" placeholder="Địa chỉ E-mail khách hàng" name="emailCus" value="@Model.CusEmail">
                                </div>
                                <div class="form-group">
                                    <input type="text" class="form-control" placeholder="Tiêu đề" name="emailTitle">
                                </div>
                                <div class="form-group">
                                    <span>Địa chỉ e-mail khách hàng không thể trống. Nhập tiêu đề mail, nội dung e-mail hệ thống sẽ tự thêm.</span>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button data-dismiss="modal" type="button" class="btn btn-default" name="deleteOK" value="NO">Hủy</button>
                    <button class="btn btn-danger " type="submit" name="save" value="sendMail">Gửi</button>

                </div>

            </div>
        </div>
    </div>
}


<script>



    function onSelectFile(e) {
        var files = e.files;

        //check type file
        $.each(e.files, function (index, value) {
            var ext = e.files[index].extension.toLowerCase();
            if ($.inArray(ext, ['.doc', '.docx', '.xls', '.xlsx', '.pdf', '.gif', '.jpeg', '.jpg', '.png']) == -1) {
                //alert('Bạn chỉ có thể upload ảnh có định dạng .gif, .jpeg, .jpg, .png');

                e.preventDefault();
                $('#modal-warning-file').modal('show')
            }
        });

        function appendText() {

        }

    }
    var a = 0;
    function onSelect(e) {
        //check image size
        //read file
        $.each(e.files, function (index, value) {
            readMultipleFiles(value);
        });
        //check type file
        $.each(e.files, function (index, value) {
            var ext = e.files[index].extension.toLowerCase();
            if ($.inArray(ext, ['.gif', '.jpeg', '.jpg', '.png']) == -1) {
                //alert('Bạn chỉ có thể upload ảnh có định dạng .gif, .jpeg, .jpg, .png');
                $('#modal-warning').modal('show')
                e.preventDefault();
            }

        });



        a++;
    }
    //set class for <img/>
    function addExtensionClass(extension) {
        return 'viewImg' + a;
    }
    //set src for <img/>
    function readMultipleFiles(file) {
        var reader = new FileReader();
        reader.onload = function (e) {
            // bind the file content
            $('.viewImg' + a + '').attr({ src: e.target.result });
        }
        reader.readAsDataURL(file.rawFile);
    }
</script>

<script>
    $(document).ready(function () {
        var error = "@ViewBag.Error";
        if (error != 0) {
            $('#modal-warning-error').modal('show')
        }
    })
</script>





<div class="modal fade modal-message modal-warning" id="modal-warning-error" aria-hidden="false">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <i class="fa fa-warning"></i>
            </div>
            <div class="modal-title">
                Thông báo
            </div>
            <div class="modal-body">
                @ViewBag.Error
            </div>
            <div class="modal-footer">
                <button data-dismiss="modal" class="btn btn-warning " type="button" name="back" value="OK">Ok</button>
            </div>
        </div>
    </div>

</div>
<script>
    $(document).ready(function () {
        var error = "@ViewBag.OK";
        if (error != 0) {
            $('#modal-success').modal('show')
        }
    })
</script>





<div class="modal fade modal-message modal-success" id="modal-success" aria-hidden="false">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <i class="fa fa-check"></i>
            </div>
            <div class="modal-title">
                Thông báo
            </div>
            <div class="modal-body">
                @ViewBag.OK
            </div>
            <div class="modal-footer">
                <button data-dismiss="modal" class="btn btn-success " type="button" name="back" value="OK">Ok</button>
            </div>
        </div>
    </div>

</div>






<div class="modal fade modal-message modal-warning" id="modal-warning-file" aria-hidden="false">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <i class="fa fa-warning"></i>
            </div>
            <div class="modal-title">
                Thông báo
            </div>
            <div class="modal-body">
                Bạn chỉ có thể upload file có định dạng .doc, .docx, .xls, .xlsx, .pdf, .gif, .jpeg, .jpg, .png
            </div>
            <div class="modal-footer">
                <button data-dismiss="modal" class="btn btn-warning " type="button" name="back" value="OK">Ok</button>
            </div>
        </div>
    </div>
</div>

<div class="modal fade modal-message modal-warning" id="modal-warning" aria-hidden="false">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <i class="fa fa-warning"></i>
            </div>
            <div class="modal-title">
                Thông báo
            </div>
            <div class="modal-body">
                Bạn chỉ có thể upload ảnh có định dạng .gif, .jpeg, .jpg, .png
            </div>
            <div class="modal-footer">
                <button data-dismiss="modal" class="btn btn-warning " type="button" name="back" value="OK">Ok</button>
            </div>
        </div>
    </div>
</div>



@section PageScripts{

    <link href="/Static/frontend/xedichvu/css/datepicker.css" rel="stylesheet" />
    <!--Bootstrap Date Range Picker-->
    <script src="/Static/admin//assets/js/datetime/moment.js"></script>
    <script src="/Static/admin//assets/js/datetime/daterangepicker.js"></script>

    <script src="/Static/admin/assets/js/jasny-bootstrap.min.js"></script>

    <!--Bootstrap Date Picker-->
    <script src="/Static/admin/assets/js/datetime/bootstrap-datepicker.js"></script>

    <script src="/Static/admin/assets/js/jasny-bootstrap.min.js"></script>
    <script src="/Static/admin/assets/js/datetime/bootstrap-timepicker.js"></script>
    <script>
        //--Bootstrap Date Picker--
        $('.date-picker').datepicker();
        $('.date_accept').daterangepicker();
        //--Bootstrap Time Picker--
        $('.time_picker').timepicker();
    </script>

    <link href="/Static/admin/assets/css/dataTables.bootstrap.css" rel="stylesheet" />
    <script src="/Static/admin/assets/js/datatable/jquery.dataTables.min.js"></script>
    <script src="/Static/admin/assets/js/datatable/ZeroClipboard.js"></script>
    <script src="/Static/admin/assets/js/datatable/dataTables.tableTools.min.js"></script>
    <script src="/Static/admin/assets/js/datatable/dataTables.bootstrap.min.js"></script>
    <script src="/Static/admin/assets/js/datatable/datatables-init.js"></script>
    <script>
        bangTaiXe.init();
        bangXe.init();
    </script>

    <!--Jquery Autosize-->
    <script src="/Static/admin/assets/js/textarea/jquery.autosize.js"></script>



    <script>
        //function sendForm() {
        //    var id = $('#editID').val();
        //    $.ajax({
        //        url: '/administrators/bookcars_manager/bookorder_send_mail',
        //        type: 'POST',
        //        data: { 'sendID': id },
        //        dataType: 'json',

        //    }).done(function () {
        //        alert('Guiwr thanhf coong');
        //    });;

        //}
        //$("#SendMail").click(function () {
        //    $("#MailForm").submit();

        //});
        $(document).ready(function () {
            $('input[type=radio][name=carID]').change(function () {
                var modID = $(this).val();
                $("#car").load('/administrators/bookcars_manager/_cars?modID=' + modID);
            });
            $('input[type=radio][name=driverID]').change(function () {
                var staffID = $(this).val();
                $("#driver").load('/administrators/bookcars_manager/_driver?staffID=' + staffID);
            });
        });


        $('.textAuto').autosize({ append: "\n" });
        $(document).ready(function () {

            $("#orders").addClass("active open");
            $("#bookorder").addClass("active");
        });

    </script>

    <!--Summernote Scripts-->
    <script src="/Static/admin/assets/js/editors/summernote/summernote.js"></script>
    <script src="/Static/admin/assets/js/editors/summernote/summernote-vi-VN.js"></script>
    <script>
        calculateRoute();

        function calculateRoute() {
            // Center initialized to Naples, Italy
            var myOptions = {
                zoom: 10,
                disableDefaultUI: false,
                scrollwheel: false,
                center: new google.maps.LatLng(21.021996012983845, 105.84486153972648),
                mapTypeId: google.maps.MapTypeId.ROADMAP
            };
            // Draw the map
            var mapObject = new google.maps.Map(document.getElementById("map_road"), myOptions);
            var start = $("#StartAddress").val();
            var end = $("#EndAddress").val();

            var directionsService = new google.maps.DirectionsService();
            var directionsRequest = {
                origin: start,
                destination: end,
                travelMode: google.maps.DirectionsTravelMode.DRIVING,
                unitSystem: google.maps.UnitSystem.METRIC
            };
            directionsService.route(
              directionsRequest,
              function (response, status) {
                  if (status == google.maps.DirectionsStatus.OK) {
                      new google.maps.DirectionsRenderer({
                          map: mapObject,
                          directions: response
                      });
                  }
                  else
                      $("#error").append("Unable to retrieve your route<br />");
              }
            );
        }


        $(document).ready(function () {
            $('.summernote').summernote({
                lang: 'vi-VN',
                toolbar: false,
                height: 80

            });
            //        {
            //        //onImageUpload: function (files, editor, welEditable) {
            //        //    sendFile(files[0], editor, welEditable);
            //        //}
            //    });
            //    //function sendFile(file, editor, welEditable) {
            //    //    data = new FormData();
            //    //    data.append("file", file);//You can append as many data as you want. Check mozilla docs for this
            //    //    url = '/administrators/news_manager/uploadImageNews';
            //    //    $.ajax({
            //    //        data: data,
            //    //        dataType: 'json',
            //    //        type: "POST",
            //    //        url: url,
            //    //        cache: false,
            //    //        contentType: false,
            //    //        processData: false,
            //    //        success: function (imageUrl) {
            //    //            editor.insertImage(welEditable, imageUrl);
            //    //        },
            //    //        error: function () {
            //    //            alert(file);
            //    //        }
            //    //    });
            //    //}
            //}
        });

    </script>

    @*  <script>


        var _latitude_di = $("#lat_di").val();
        var _longitude_di = $("#long_di").val();

        $('#StartLat').val(_latitude_di);
        $('#StartLong').val(_longitude_di);


        //google.maps.event.addDomListener($('#myModal'), 'load', function () {
        //    initSubmitMap(_latitude, _longitude);
        //});


        initSubmitMap_di(_latitude_di, _longitude_di);



        function initSubmitMap_di(_latitude_di, _longitude_di) {
            var mapCenter = new google.maps.LatLng(_latitude_di, _longitude_di);
            var mapOptions = {
                zoom: 15,
                center: mapCenter,
                disableDefaultUI: false,
                scrollwheel: false,
                //styles: mapStyles
            };
            var mapElement = document.getElementById('submit_map_di');
            var map = new google.maps.Map(mapElement, mapOptions);
            var marker = new MarkerWithLabel({
                position: mapCenter,
                map: map,
                icon: '/Static/frontend/xedichvu/map/_marker.png',
                labelAnchor: new google.maps.Point(50, 0),
                draggable: true
            });
            $('#submit_map_di').removeClass('fade-map');
            google.maps.event.addListener(marker, "mouseup", function (event) {
                var latitude_di = this.position.lat();
                var longitude_di = this.position.lng();
                $('#StartLat').val(latitude_di);
                $('#StartLong').val(longitude_di);
                calculateRoute();
            });

            //      Autocomplete
            var input = (document.getElementById('address_map_di'));
            var autocomplete = new google.maps.places.Autocomplete(input);
            autocomplete.bindTo('bounds', map);
            google.maps.event.addListener(autocomplete, 'place_changed', function () {
                var place = autocomplete.getPlace();
                if (!place.geometry) {
                    return;
                }
                if (place.geometry.viewport) {
                    map.fitBounds(place.geometry.viewport);
                } else {
                    map.setCenter(place.geometry.location);
                    map.setZoom(17);
                }
                marker.setPosition(place.geometry.location);
                marker.setVisible(true);
                $('#StartLat').val(marker.getPosition().lat());
                $('#StartLong').val(marker.getPosition().lng());
                calculateRoute();
                var address = '';
                if (place.address_components) {
                    address = [
                        (place.address_components[0] && place.address_components[0].short_name || ''),
                        (place.address_components[1] && place.address_components[1].short_name || ''),
                        (place.address_components[2] && place.address_components[2].short_name || '')
                    ].join(' ');
                }
            });


        }

        function success(position) {
            initSubmitMap_di(position.coords.latitude, position.coords.longitude);
            $('#StartLat').val(position.coords.latitude);
            $('#StartLong').val(position.coords.longitude);
        }

        $('.geo_location_di').on("click", function () {
            if (navigator.geolocation) {
                $('#submit_map_di').addClass('fade-map');
                navigator.geolocation.getCurrentPosition(success);
            } else {
                error('Geo Location is not supported');
            }
        });

    </script>

    <script>
        var _latitude_den = $("#lat_den").val();
        var _longitude_den = $("#long_den").val();

        $('#EndLat').val(_latitude_den);
        $('#EndLong').val(_longitude_den);


        //google.maps.event.addDomListener($('#myModal'), 'load', function () {
        //    initSubmitMap(_latitude, _longitude);
        //});


        initSubmitMap_den(_latitude_den, _longitude_den);


        function initSubmitMap_den(_latitude_den, _longitude_den) {
            var mapCenter = new google.maps.LatLng(_latitude_den, _longitude_den);
            var mapOptions = {
                zoom: 15,
                center: mapCenter,
                disableDefaultUI: false,
                scrollwheel: false,
                //styles: mapStyles
            };
            var mapElement = document.getElementById('submit_map_den');
            var map = new google.maps.Map(mapElement, mapOptions);
            var marker = new MarkerWithLabel({
                position: mapCenter,
                map: map,
                icon: '/Static/frontend/xedichvu/map/_marker.png',
                labelAnchor: new google.maps.Point(50, 0),
                draggable: true
            });
            $('#submit_map_di').removeClass('fade-map');
            google.maps.event.addListener(marker, "mouseup", function (event) {
                var latitude_den = this.position.lat();
                var longitude_den = this.position.lng();
                $('#EndLat').val(latitude_den);
                $('#EndLong').val(longitude_den);
                calculateRoute();
            });

            //      Autocomplete
            var input = (document.getElementById('address_map_den'));
            var autocomplete = new google.maps.places.Autocomplete(input);
            autocomplete.bindTo('bounds', map);
            google.maps.event.addListener(autocomplete, 'place_changed', function () {
                var place = autocomplete.getPlace();
                if (!place.geometry) {
                    return;
                }
                if (place.geometry.viewport) {
                    map.fitBounds(place.geometry.viewport);
                } else {
                    map.setCenter(place.geometry.location);
                    map.setZoom(17);
                }
                marker.setPosition(place.geometry.location);
                marker.setVisible(true);
                $('#EndLat').val(marker.getPosition().lat());
                $('#EndLong').val(marker.getPosition().lng());
                calculateRoute();
                var address = '';
                if (place.address_components) {
                    address = [
                        (place.address_components[0] && place.address_components[0].short_name || ''),
                        (place.address_components[1] && place.address_components[1].short_name || ''),
                        (place.address_components[2] && place.address_components[2].short_name || '')
                    ].join(' ');
                }
            });
        }

        //function success(position) {
        //    initSubmitMap(position.coords.latitude, position.coords.longitude);
        //    $('#EndLat').val(position.coords.latitude);
        //    $('#EndLong').val(position.coords.longitude);
        //}

        //$('.geo-location').on("click", function () {
        //    if (navigator.geolocation) {
        //        $('#submit_map_den').addClass('fade-map');
        //        navigator.geolocation.getCurrentPosition(success);
        //    } else {
        //        error('Geo Location is not supported');
        //    }
        //});

    </script>*@

}